获取文件信息
curl --request GET \
--url https://api.moonshot.cn/v1/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.moonshot.cn/v1/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonshot.cn/v1/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "file",
"bytes": 123,
"created_at": 123,
"filename": "<string>",
"status": "ready",
"status_details": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}获取文件信息
获取指定已上传文件的元数据。
GET
/
v1
/
files
/
{file_id}
获取文件信息
调用示例
调用示例
client.files.retrieve(file_id=file_id)
# FileObject(
# id='clg681objj8g9m7n4je0',
# bytes=761790,
# created_at=1700815879,
# filename='xlnet.pdf',
# object='file',
# purpose='file-extract',
# status='ok', status_details='')
授权
路径参数
文件标识符
响应
文件元数据
文件唯一标识符
对象类型
示例:
"file"
文件大小(字节)
文件创建时的 Unix 时间戳
原始文件名
上传文件时指定的用途。file-extract:抽取文件内容;image:上传图片,用于视觉理解;video:上传视频,用于视频理解;batch:上传 JSONL 文件,用于批处理任务
可用选项:
file-extract, image, video, batch 文件处理状态
示例:
"ready"
处理失败或返回警告时的额外状态详情
此页面对您有帮助吗?
⌘I